> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Search



## OpenAPI

````yaml get /search
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /search:
    get:
      tags:
        - search
      summary: Search
      operationId: search_search_get
      parameters:
        - name: query
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Query
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 12
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SearchResponse:
      properties:
        hits:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchHitsResponse'
              type: array
            - type: 'null'
          title: Hits
          default: []
        stores:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchStoresResponse'
              type: array
            - type: 'null'
          title: Stores
          default: []
      type: object
      title: SearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchHitsResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        filter_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Filter Name
        round_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Round Id
        item_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Type
      type: object
      required:
        - id
        - name
      title: SearchHitsResponse
    SearchStoresResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        image:
          type: string
          title: Image
        is_blogger:
          type: boolean
          title: Is Blogger
      type: object
      required:
        - id
        - name
        - image
        - is_blogger
      title: SearchStoresResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````